Subject: Re: bug#33230: 26.1; Soft-wrap issue in term.el with term-suppress-hard-newline

From: Bruno CHARRON <[email-masked]>
Date: Sun, 4 Nov 2018 20:06:25 +0900

>  > FWIW this is Bug#32720 for which I am responsible.  It will be fixed
>  > in Emacs 26.2 by reestablishing the behavior of Emacs 25.
>
> Attached find a patch for this against the release branch.  Please try
> it.

Thanks martin, I confirm that after applying your patch on the 26.1
release, COLUMNS is correctly updated in the shell at each frame
resize while it is not without the patch.